#ifndef DOT_EXTENSIONS_WIICONTROLLER_IWIICONTROLLERTASK_H_3DOT
#define DOT_EXTENSIONS_WIICONTROLLER_IWIICONTROLLERTASK_H_3DOT

#include <3DOT/engine/ischeduletask.h>

namespace EXT_WIICONTROLLER_3DOT
{
	/*
	GUID info:
		http://www.3dot.dk/wiki/index.php/EXTGUIDs%2C_CLSIDs%2C_and_IIDs
	GUID generator:
	    http://emanuelgreisen.dk/stuff/uuid.php?num=3

	GUIDFactory<0x9d40314f, 0xc429, 0x49d5, 0xb26f6c429395a810LL>()
				^^ used by IWiiControllerExtension
	GUIDFactory<0x406381ed, 0x7e86, 0x4bf8, 0xbe12d5cad67e948bLL>()
				^^ used by IWiiControllerTask
	GUIDFactory<0x5a3f909a, 0xb500, 0x4b0c, 0xa37a97ad24ed2f80LL>()
				^^ used by IWiiControlled
	GUIDFactory<0x87d409f6, 0x5043, 0x4965, 0x9a4793dea0875b4bLL>()
	*/
	#define IID_IWiiControllerTask GUIDFactory<0x406381ed, 0x7e86, 0x4bf8,\
											   0xbe12d5cad67e948bLL>()
	struct DLLEXPORT IWiiControllerTask : public CORE_3DOT::IScheduleTask
	{
		// RTTI block
		DECLARE_RTTI_BEGIN(IWiiControllerTask, CORE_3DOT::IScheduleTask)
		DECLARE_RTTI_END();
	};
	typedef HUnknown<IWiiControllerTask> HWiiControllerTask;
}

#endif
